// pages/quota/quota.js
const api = require("../../utils/request.js");
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getList()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    this.getList()
    wx.stopPullDownRefresh()
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  Baoming: function () {
    wx.navigateToMiniProgram({
      appId: 'wxdcf5bbfb50dbbac8',
      path: '',
      success(res) {
        // 打开其他小程序成功同步触发
        // wx.showToast({
        //   title: '跳转成功'
        // })
      }
    })
  },
  getList:function(){
    api.request('/analyse/quota/', 'GET').then(res => {
      this.setData(res.data)
    })
  }
})